
-- server-level firewall rules
-- these must be executed in the master database

-- create new firewall setting for only IP 0.0.0.2
exec sp_set_firewall_rule N'Example setting 1','0.0.0.2','0.0.0.2'

-- update firewall setting to also allow IP 0.0.0.3
exec sp_set_firewall_rule N'Example setting 1','0.0.0.2','0.0.0.3'

-- enable Windows Azure connections
exec sp_set_firewall_rule N'Allow Windows Azure','0.0.0.0','0.0.0.0'

-- Remove example firewall setting
exec sp_delete_firewall_rule N'Example setting 1'

-- Query firewall rules
select * from sys.firewall_rules