
select * from sys.dm_db_partition_stats

select * from sys.dm_exec_connections 
select * from sys.dm_exec_query_plan(0x0600C000ADF355084081B15E070000000000000000000000)
select * from sys.dm_exec_query_stats
select * from sys.dm_exec_requests 
select * from sys.dm_exec_sessions 
select * from sys.dm_exec_sql_text(0x02000000ADF35508135A37C357A154BBEAE61F7BC590EEB0)
select * from sys.dm_exec_text_query_plan(0x02000000ADF35508135A37C357A154BBEAE61F7BC590EEB0)

select * 
from sys.dm_exec_query_stats
cross apply sys.dm_exec_query_plan(plan_handle)
cross apply sys.dm_exec_sql_text(sql_handle)

select * from sys.dm_tran_active_transactions 
select * from sys.dm_tran_database_transactions 
select * from sys.dm_tran_locks
select * from sys.dm_tran_session_transactions
 

-- Added in Q2 2012
select * from sys.dm_exec_query_memory_grants;
select * from sys.dm_exec_cached_plans;

select * from sys.dm_exec_trigger_stats;
select * from sys.dm_exec_procedure_stats;

select * from sys.dm_db_index_usage_stats; 
select * from sys.dm_db_missing_index_details;
select * from sys.dm_db_missing_index_group_stats;
select * from sys.dm_db_missing_index_groups;
select * from sys.dm_db_missing_index_columns(index_handle)

-- Dynamic management functions
select * from sys.dm_db_index_usage_stats;
select * from sys.dm_db_index_operational_stats (dbid, objid, indid, partition_number);
-- example one
select * from sys.dm_db_index_operational_stats (108, 725577623, 2, NULL);
select * from sys.dm_db_index_physical_stats(dbid, objid, indid, partition_number, mode);
-- example one
select * from sys.dm_db_index_physical_stats(108, 725577623, 2, NULL, NULL);

--returns all indexes for a database and their stats.
--Rows with no usage since the last restart will be null 
select object_schema_name(indexes.object_id) + '.' + object_name(indexes.object_id) as objectName,
         indexes.name, case when is_unique = 1 then 'UNIQUE ' else '' end + indexes.type_desc, 
         ddius.user_seeks, ddius.user_scans, ddius.user_lookups, ddius.user_updates
from sys.indexes
               left outer join sys.dm_db_index_usage_stats ddius
                        on indexes.object_id = ddius.object_id
                             and indexes.index_id = ddius.index_id
                             and ddius.database_id = db_id()
order by ddius.user_seeks + ddius.user_scans + ddius.user_lookups desc;
